# List asset files

Retrieves a paginated list of files belonging to an asset.

Endpoint: GET /v1/assets/{assetUuid}/files
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `assetUuid` (string, required)
    The unique identifier of the asset.

## Query parameters:

  - `uuids[eq]` (array)

  - `statuses[eq]` (array)
    Enum: "awaitingUpload", "uploaded"

  - `status[order]` (string)

  - `variationTypes[eq]` (array)
    Enum: "original", "thumbnail", "webOptimized", "mobileOptimized", "productDetail", "printReady", "socialMedia", "videoPoster", "videoPreview", "videoStreamLow", "videoStreamMedium", "videoStreamHigh"

  - `variationType[order]` (string)

  - `mimeTypes[eq]` (array)

  - `extensions[eq]` (array)

  - `extension[contains]` (string)

  - `extension[starts]` (string)

  - `extension[ends]` (string)

  - `isAutogenerated[eq]` (boolean)

  - `createdAt[eq]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[min]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[max]` (string)
    Example: "2025-11-23T14:15:22.123456Z"

  - `createdAt[order]` (string)

  - `storageSize[order]` (string)

  - `page` (integer)

  - `size` (integer)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.uuid` (string, required)
    Unique identifier for this file.

  - `items.assetUuid` (string, required)
    Identifier of the parent asset this file belongs to.

  - `items.createdAt` (string, required)
    Timestamp when this file was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `items.status` (string, required)
    Upload status of a file.
    Enum: "awaitingUpload", "uploaded"

  - `items.variationType` (string, required)
    Variation type indicating the intended use of a file.
    Enum: "original", "thumbnail", "webOptimized", "mobileOptimized", "productDetail", "printReady", "socialMedia", "videoPoster", "videoPreview", "videoStreamLow", "videoStreamMedium", "videoStreamHigh"

  - `items.storageLocation` (string, required)
    Storage backend where asset files are stored.
    Enum: "s3"

  - `items.mimeType` (string, required)
    MIME type of this file.

  - `items.extension` (string, required)
    File extension of this file.

  - `items.storageSize` (integer,null)
    File size in bytes. Null if not yet calculated.

  - `items.checksum` (string, required)
    SHA-256 checksum for file integrity verification.

  - `items.isAutogenerated` (boolean, required)
    Whether this file was automatically generated by the system.

  - `items.presignedUrl` (string, required)
    Temporary pre-signed URL for downloading this file.

  - `pagination` (object, required)

  - `pagination.page` (integer, required)

  - `pagination.size` (integer, required)

  - `pagination.totalItems` (integer, required)

  - `pagination.totalPages` (integer, required)

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


